            #GIT_CMT=eb59476af80cdb8b7c9827fc00bcb7f417cb72fe
Name:           userspace-rcu
Version:        0.7.17
Release:    4.el7
Vendor:         Oracle America
Summary:        RCU (read-copy-update) implementation in user space

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://lttng.org/urcu/
Source0: userspace-rcu-0.7.17.tar.bz2
BuildRequires:  pkgconfig autoconf automake libtool
# Upstream do not yet support mips
ExcludeArch:    mips

%description
This data synchronization library provides read-side access which scales
linearly with the number of cores. It does so by allowing multiples copies
of a given data structure to live at the same time, and by monitoring
the data structure accesses to detect grace periods after which memory
reclamation is possible.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
./bootstrap
%configure --disable-static
#Remove Rpath from build system
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

V=1 make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -vf $RPM_BUILD_ROOT%{_libdir}/*.la


%check
#TODO greenscientist: make check currently fail in mockbuild
#make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc LICENSE gpl-2.0.txt lgpl-relicensing.txt lgpl-2.1.txt
%{_docdir}/%{name}/README
%{_docdir}/%{name}/ChangeLog
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/liburcu*.pc
%{_docdir}/%{name}/README
%{_docdir}/%{name}/*.txt


%changelog
* Mon Oct 22 2018 Tiger Yang <tiger.yang@oracle.com> - 0.7.17-4.el7
- set vendor string to "Oracle America" (Tiger Yang)

* Tue Dec 12 2017 Tiger Yang <tiger.yang@oracle.com> - 0.7.17-3.el7
- BUILDINFO: commit=4f206a13712d1fa0cf117ca2e78dbc8eb1494b10
- update revision for oracle-gluster-3.12

* Mon Dec 11 2017 Tiger Yang <tiger.yang@oracle.com> - 0.7.17-3
- Rebuild for oracle-gluster-3.12

* Wed Aug 30 2017 Joe Jin <joe.jin@oracle.com> - 0.7.17-2
- Rebuild for oracle-gluster-3.10

* Fri Apr 14 2017 Joe Jin <joe.jin@oracle.com> - 0.7.17-1
- Initial revision for oracle-gluster-3.7.

